name: linuxserver-duplicati
services:
  app:
    image: linuxserver/duplicati:2.2.0
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      SETTINGS_ENCRYPTION_KEY: ''
      CLI_ARGS: ''
      DUPLICATI__WEBSERVICE_PASSWORD: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: SETTINGS_ENCRYPTION_KEY
          description:
            en_us: Encryption key for settings database. Minimum 8 characters, alphanumeric.
        - container: CLI_ARGS
          description:
            en_us: Optionally specify any CLI variables you want to launch the app with [OPTIONAL]
        - container: DUPLICATI__WEBSERVICE_PASSWORD
          description:
            en_us: Password for the webui. If left unset will default to changeme and can be changed from the webui settings. [OPTIONAL]
    ports:
      - target: 8200
        published: 8200
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/duplicati/config
        target: /config
      - type: bind
        source: /srv/lsio/duplicati/backups
        target: /backups
      - type: bind
        source: /srv/lsio/duplicati/source
        target: /source
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Duplicati is a backup client that securely stores encrypted, incremental, compressed backups on local storage, cloud storage services and remote file servers. It works with standard protocols like FTP, SSH, WebDAV as well as popular services like Microsoft OneDrive, Amazon S3, Google Drive, box.com, Mega, B2, and many others.
  tagline:
    en_us: A backup client that securely stores encrypted, incremental, compressed backups on local storage, cloud storage services and remote file servers. It works with standard protocols like FTP, SSH, WebDAV as well as popular services like Microsoft OneDrive, Amazon S3, Google Drive, box. Com, Mega, B2, and many others.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://github.com/linuxserver/docker-templates/raw/master/linuxserver.io/img/duplicati-icon.png
  thumbnail: https://github.com/linuxserver/docker-templates/raw/master/linuxserver.io/img/duplicati-icon.png
  title:
    en_us: Duplicati
  category: LinuxServer.io
